Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginEventAssignment

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginEventAssignment

    public class PluginEventAssignment

extends PluginSBase

This class wraps org.sbml.libsbml.EventAssignment for the plug-in.

Author:

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginEventAssignment(PluginEvent parent)` Constructor

Method Summary
`ASTNode` | `getMath()`
`PluginEvent` | `getParentEvent()`
`java.lang.String` | `getParentID()`
`java.lang.String` | `getVariable()`
`void` | `setMath(ASTNode math)` Sets the Math of this PluginEventAssignment to the given ASTNode
`void` | `setVariable(java.lang.String variable)` Sets the variable of this PluginEventAssignment to the given string.
`void` | `update(PluginEventAssignment event)` Updates all properties of this PluginEventAssignement to the same as the given PluginEventAssignment.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginEventAssignment

    public PluginEventAssignment(PluginEvent parent)

  Constructor

  Parameters:
    `parent` - the PluginEvent as the parent of this PluginEventAssignment

Method Detail

### update

    public void update(PluginEventAssignment event)

  Updates all properties of this PluginEventAssignement to the same as the given PluginEventAssignment.

  Parameters:
    `event` - PluginEventAssignment

### setMath

    public void setMath(ASTNode math)

  Sets the Math of this PluginEventAssignment to the given ASTNode

  Parameters:
    `math` -

### getMath

    public ASTNode getMath()

  Returns:
    the math of this PluginEventAssignment

### setVariable

    public void setVariable(java.lang.String variable)

  Sets the variable of this PluginEventAssignment to the given string.

  Parameters:
    `variable` - the variable of this PluginEventAssignment

### getVariable

    public java.lang.String getVariable()

  Returns:
    the variable of this PluginEventAssignment.

### getParentID

    public java.lang.String getParentID()

  Returns:
    the parentID of this PluginEventAssignment.

### getParentEvent

    public PluginEvent getParentEvent()

  Returns:
    the getParentEvent of this PluginEventAssignment, or null if the parent SBase isn't PluginEvent.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD